Bug 631881 (CVE-2010-3089) - CVE-2010-3089 mailman: Multiple security flaws leading to cross-site scripting (XSS) attacks
Summary: CVE-2010-3089 mailman: Multiple security flaws leading to cross-site scriptin...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3089
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 631859 (view as bug list)
Depends On: 633798 677843 677844 677845 677846 677848 677849 833939
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-08 15:07 UTC by Jan Lieskovsky
Modified: 2021-02-24 22:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 15:18:28 UTC


Attachments (Terms of Use)
proposed patch (2.50 KB, patch)
2010-09-16 04:28 UTC, Huzaifa S. Sidhpurwala
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0307 0 normal SHIPPED_LIVE Moderate: mailman security update 2011-03-01 22:42:51 UTC
Red Hat Product Errata RHSA-2011:0308 0 normal SHIPPED_LIVE Moderate: mailman security update 2011-03-01 22:53:15 UTC

Description Jan Lieskovsky 2010-09-08 15:07:12 UTC
Multiple security flaws leading to cross-site scripting (XSS) attacks (execute arbitrary HTML or scripting code) were found in mailman.

1. A security flaw was found in the way Mailman mailing list
manager sanitized content of mailing list information HTML
template, prior rendering it to the user. A remote mailing
list owner could use this flaw to conduct cross-site scripting
(XSS) attacks (execute arbitrary HTML or scripting code)
when the modified "listinfo" html page is viewed by the user.

2. A security flaw was found in the way Mailman mailing list
manager sanitized mailing list description by presenting
general mailing list information. A remote mailing list
owner could use this flaw to conduct cross-site scripting
(XSS) attacks (execute arbitrary HTML or scripting code).


References:
[1] http://mail.python.org/pipermail/mailman-announce/2010-September/000150.html

Acknowledgements:

Red Hat would like to thank Mark Sapiro for reporting these flaws.

Comment 3 Jan Lieskovsky 2010-09-08 15:12:00 UTC
This issue affects the versions of the mailman package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

--

This issue affects the versions of the mailman package, as shipped
with Fedora release of 12 and 13.

Comment 4 Huzaifa S. Sidhpurwala 2010-09-13 10:57:29 UTC
Public via:
http://mail.python.org/pipermail/mailman-announce/2010-September/000151.html

Comment 5 Vincent Danen 2010-09-13 20:42:14 UTC
This issue has been assigned the name CVE-2010-3089.

Comment 6 Huzaifa S. Sidhpurwala 2010-09-14 04:30:40 UTC
*** Bug 631859 has been marked as a duplicate of this bug. ***

Comment 9 Huzaifa S. Sidhpurwala 2010-09-14 12:36:54 UTC
Created mailman tracking bugs for this issue

Affects: fedora-all [bug 633798]

Comment 10 Huzaifa S. Sidhpurwala 2010-09-15 03:28:15 UTC
Statement:

The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.

Comment 11 Huzaifa S. Sidhpurwala 2010-09-16 04:28:46 UTC
Created attachment 447625 [details]
proposed patch

Comment 13 errata-xmlrpc 2011-03-01 22:43:02 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:0307 https://rhn.redhat.com/errata/RHSA-2011-0307.html

Comment 14 errata-xmlrpc 2011-03-01 22:53:22 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0308 https://rhn.redhat.com/errata/RHSA-2011-0308.html


Note You need to log in before you can comment on or make changes to this bug.